package com.hs.admin.service;


import com.hs.admin.bean.SysTask;

/**
 * @author xieheng
 */
public interface JobManagerService {
    boolean addJob(SysTask task);

    boolean pauseJob(SysTask task);

    boolean resumeJob(SysTask task);

    boolean deleteJob(SysTask task);

    boolean runJobNow(SysTask task);

    boolean updateJobCron(SysTask task);
}
